from time import sleep
from machine import Pin

sleep(0.1)  # Wait for USB to become ready

# Define LED and Push Button Pins
led = Pin(0, Pin.OUT)  # LED connected to GPIO 0
pb = Pin(4, Pin.IN, Pin.PULL_UP)  # Button connected to GPIO 28 with PULL_UP

state = 0  # Variable to track LED state

while True:
  
        
        if pb.value() == 0: 
            sleep(0.2)
            state = not state  # Toggle state (0 -> 1 or 1 -> 0)
            led.value(state)  # Update LED
            print("Button Pressed - LED Toggled")

            # Wait until button is released before detecting another press
            while pb.value() == 0:
                sleep(0.1)  

           
                
            
    




    

